Package org.kie.internal.query

## Class QueryContext

- java.lang.Object
- - org.kie.api.runtime.query.QueryContext
  - - org.kie.internal.query.QueryContext

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `QueryFilter`

      public class QueryContext
      extends org.kie.api.runtime.query.QueryContext

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.kie.api.runtime.query.QueryContext

      `ascending, count, offset, orderBy`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QueryContext()` |
    `QueryContext​(java.lang.Integer offset, java.lang.Integer count)` |
    `QueryContext​(java.lang.Integer offset, java.lang.Integer count, java.lang.String orderBy, boolean asc)` |
    `QueryContext​(java.lang.String orderBy, boolean asc)` |
    `QueryContext​(org.kie.api.runtime.query.QueryContext queryContext)` |

  - ### Method Summary

    - ### Methods inherited from class org.kie.api.runtime.query.QueryContext

      `clear, getCount, getOffset, getOrderBy, isAscending, setAscending, setCount, setOffset, setOrderBy`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryContext

          public QueryContext()

    - #### QueryContext

          public QueryContext​(java.lang.Integer offset,
                              java.lang.Integer count,
                              java.lang.String orderBy,
                              boolean asc)

    - #### QueryContext

          public QueryContext​(java.lang.Integer offset,
                              java.lang.Integer count)

    - #### QueryContext

          public QueryContext​(org.kie.api.runtime.query.QueryContext queryContext)

    - #### QueryContext

          public QueryContext​(java.lang.String orderBy,
                              boolean asc)